Description
This is a feature that is relevant if movescu's internal storage server is used in order to receive objects from a movescu call.

It has been reported that some systems (Varian Aria server?) do not close the storage connection on mvescu's incoming association
even after all images have been transferred. movescu, at the same time, does not close the first "MOVE" association as long there is
a storage connection open. Instead movescu keeps listening infinitely and does not return.

It would make sense to configure a timeout (probably introduced via command line option) on the storage connection after which the
storage connection is closed by movescu, and thus the move connection can be closed too in order to return from the movescu call.
The timeout should probably(?) only be active if all objects have been received via C-STORE, i.e. if the final C-MOVE message has
arrived and the number of transferred objects equal the number from the MOVE response.

Thanks to Xiaohu Mo for pointing out the problem.

History

#1 - 2017-03-24 12:46 - Marco Eichelberg
- Target version changed from 3.6.2 to 3.6.3

#2 - 2018-02-05 19:38 - Jan Schlamelcher
- Target version changed from 3.6.3 to 3.6.6

#3 - 2020-05-25 13:28 - Michael Onken
- Target version deleted (3.6.6)
